Package tigase.util.repository

# Class RepositoryUtils

java.lang.Object
tigase.util.repository.RepositoryUtils

public class RepositoryUtils extends Object
Describe class RepositoryUtils here.
Created: Sat Oct 28 13:09:26 2006

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RepositoryUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `checkContact(BareJID user, UserRepository repo, String cont)`
  `static void`
  `copyNode(BareJID user, String node, UserRepository src, UserRepository dst)`
  `static void`
  `copyRepositories(UserRepository src, AuthRepository dst)`
  `static void`
  `copyRepositories(UserRepository src, UserRepository dst)`
  `static void`
  `copyUser(BareJID user, UserRepository src, AuthRepository dst)`
  `static void`
  `copyUser(BareJID user, UserRepository src, UserRepository dst)`
  `static void`
  `exportRoster(UserRepository repo, Writer w)`
  `static void`
  `exportUserRoster(BareJID user, UserRepository repo, Writer w)`
  `static void`
  `loadTestData(UserRepository repo)`
  `static void`
  `main(String[] args)`
  `static void`
  `parseParams(String[] args)`
  `static void`
  `printNode(BareJID user, UserRepository repo, String prefix, String node)`
  `static void`
  `printRepoContent(UserRepository repo)`
  `static void`
  `removeTestData(UserRepository repo)`
  `static void`
  `repairRoster(UserRepository repo)`
  `static void`
  `repairUserRoster(BareJID user, UserRepository repo)`
  `static void`
  `simpleTest(UserRepository repo)`
  `static void`
  `userAddTest(UserRepository re)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RepositoryUtils

    public RepositoryUtils()

- ## Method Details

  - ### checkContact

    public static boolean checkContact(BareJID user, UserRepository repo, String cont) throws Exception
    Throws:
      `Exception`

  - ### copyNode

    public static void copyNode(BareJID user, String node, UserRepository src, UserRepository dst) throws Exception
    Throws:
      `Exception`

  - ### copyRepositories

    public static void copyRepositories(UserRepository src, UserRepository dst) throws Exception
    Throws:
      `Exception`

  - ### copyRepositories

    public static void copyRepositories(UserRepository src, AuthRepository dst) throws Exception
    Throws:
      `Exception`

  - ### copyUser

    public static void copyUser(BareJID user, UserRepository src, UserRepository dst) throws Exception
    Throws:
      `Exception`

  - ### copyUser

    public static void copyUser(BareJID user, UserRepository src, AuthRepository dst) throws Exception
    Throws:
      `Exception`

  - ### exportRoster

    public static void exportRoster(UserRepository repo, Writer w) throws Exception
    Throws:
      `Exception`

  - ### exportUserRoster

    public static void exportUserRoster(BareJID user, UserRepository repo, Writer w) throws Exception
    Throws:
      `Exception`

  - ### loadTestData

    public static void loadTestData(UserRepository repo) throws Exception
    Throws:
      `Exception`

  - ### main

    public static void main(String[] args) throws Exception
    Throws:
      `Exception`

  - ### parseParams

    public static void parseParams(String[] args) throws TigaseStringprepException
    Throws:
      `TigaseStringprepException`

  - ### printNode

    public static void printNode(BareJID user, UserRepository repo, String prefix, String node) throws Exception
    Throws:
      `Exception`

  - ### printRepoContent

    public static void printRepoContent(UserRepository repo) throws Exception
    Throws:
      `Exception`

  - ### removeTestData

    public static void removeTestData(UserRepository repo) throws Exception
    Throws:
      `Exception`

  - ### repairRoster

    public static void repairRoster(UserRepository repo) throws Exception
    Throws:
      `Exception`

  - ### repairUserRoster

    public static void repairUserRoster(BareJID user, UserRepository repo) throws Exception
    Throws:
      `Exception`

  - ### simpleTest

    public static void simpleTest(UserRepository repo) throws Exception
    Throws:
      `Exception`

  - ### userAddTest

    public static void userAddTest(UserRepository re) throws Exception
    Throws:
      `Exception`